ColInfo (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class ColInfo

- java.lang.Object
- - net.sourceforge.jtds.jdbc.ColInfo

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ColInfo
      extends java.lang.Object
      implements java.lang.Cloneable

  Instances of this class serve as descriptor for result set columns.

  Author:
    Mike Hutchinson, Holger Rehn

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `bufferSize` Column buffer (max) size
    `(package private) java.lang.String` | `catalog` Database owning this column
    `(package private) CharsetInfo` | `charsetInfo` Character set descriptor (if different from default)
    `(package private) byte[]` | `collation` MS SQL2000 collation
    `(package private) int` | `displaySize` Column display size
    `(package private) boolean` | `isCaseSensitive` Column name is case sensitive
    `(package private) boolean` | `isHidden` Column should be hidden
    `(package private) boolean` | `isIdentity` Column is an identity column
    `(package private) boolean` | `isKey` Column may be used as a key
    `(package private) boolean` | `isWriteable` Column may be updated
    `(package private) int` | `jdbcType` JDBC type constant from java.sql.Types
    `(package private) java.lang.String` | `name` Column label / name
    `(package private) int` | `nullable` Column data type supports SQL NULL
    `(package private) int` | `precision` Column decimal precision
    `(package private) java.lang.String` | `realName` Column actual table name
    `(package private) int` | `scale` Column decimal scale
    `(package private) java.lang.String` | `schema` User owning this column
    `(package private) java.lang.String` | `sqlType` The SQL type name for this column.
    `(package private) java.lang.String` | `tableName` Table name owning this column
    `(package private) int` | `tdsType` Internal TDS data type
    `(package private) int` | `userType` Database ID for UDT

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private boolean` | `compare(java.lang.Object o1, java.lang.Object o2)` Compares two object.
    `boolean` | `equals(java.lang.Object other)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tdsType

          int tdsType

      Internal TDS data type

    - #### jdbcType

          int jdbcType

      JDBC type constant from java.sql.Types

    - #### realName

          java.lang.String realName

      Column actual table name

    - #### name

          java.lang.String name

      Column label / name

    - #### tableName

          java.lang.String tableName

      Table name owning this column

    - #### catalog

          java.lang.String catalog

      Database owning this column

    - #### schema

          java.lang.String schema

      User owning this column

    - #### nullable

          int nullable

      Column data type supports SQL NULL

    - #### isCaseSensitive

          boolean isCaseSensitive

      Column name is case sensitive

    - #### isWriteable

          boolean isWriteable

      Column may be updated

    - #### isIdentity

          boolean isIdentity

      Column is an identity column

    - #### isKey

          boolean isKey

      Column may be used as a key

    - #### isHidden

          boolean isHidden

      Column should be hidden

    - #### userType

          int userType

      Database ID for UDT

    - #### collation

          byte[] collation

      MS SQL2000 collation

    - #### charsetInfo

          CharsetInfo charsetInfo

      Character set descriptor (if different from default)

    - #### displaySize

          int displaySize

      Column display size

    - #### bufferSize

          int bufferSize

      Column buffer (max) size

    - #### precision

          int precision

      Column decimal precision

    - #### scale

          int scale

      Column decimal scale

    - #### sqlType

          java.lang.String sqlType

      The SQL type name for this column.

  - ### Constructor Detail

    - #### ColInfo

          public ColInfo()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compare

          private final boolean compare(java.lang.Object o1,
                        java.lang.Object o2)

      Compares two object.

      Returns:
        `true` if either both values are `null` or comparing them using the equals method of o1 returns `true`

Generated on June 8 2013